
package rossi.Pop;

import java.lang.*;
import java.io.*;
import java.util.*;

public class Configuration
{
  Vector UserList;

  public Configuration(String Path)
  {
    FileInputStream f=null;
    StringTokenizer st;
    String str = null;
    UserSpec us;

    UserList = new Vector();

    try
    {
      f = new FileInputStream(Path);
    }
    catch (FileNotFoundException e)
    {
      System.err.println("Unable to find configuration file");
      return;
    }

    DataInputStream din = new DataInputStream(f);


    while (true)
    {
      try
      {
        str = din.readLine();
      }
      catch (IOException e)
      {
      }

      if (str == null)
        break;

      st = new StringTokenizer(str, ",");
      us = new UserSpec();
      if (st.countTokens() > 2)
      {
	us.Name = st.nextToken();
	us.Password = st.nextToken();
	us.Fname = st.nextToken();
      }
      
      UserList.addElement(us);
    }
    try
    {
      f.close(); 
    }
    catch (IOException e)
    {
    }
  }

  public UserSpec FindUser(String Name)
  {
    int i;
    UserSpec u = null;
    
    for (i=0; i<UserList.size(); i++)
    {
      u = (UserSpec) UserList.elementAt(i);
      if (u.Name.equals(Name))
        return u;
    } 
    return null;
  }
}
