
/* Class to write to a log file */

package rossi.Pop;

import java.io.*;

public class LogOutputStream extends OutputStream
{
  private RandomAccessFile Rafile;

  public LogOutputStream()
  {
    super();
  }

  public LogOutputStream(String Filename) throws IOException
  {
    super();
    Rafile = new RandomAccessFile(Filename, "rw");
    Rafile.seek(Rafile.length());
  }

  public void close() throws IOException
  {
    Rafile.close();
  }

  public void flush() throws IOException
  {
  }

  public void write(byte[] data) throws IOException
  {
    Rafile.write(data);
  }

  public void write(byte[] data, int off, int len) throws IOException
  {
    Rafile.write(data, off, len);
  }

  public void write(int b) throws IOException
  { 
    Rafile.write(b);
  }

}
